From 8cca781563e89facd312d622a69af124eb2757c6 Mon Sep 17 00:00:00 2001
Message-ID: <8cca781563e89facd312d622a69af124eb2757c6.1714317553.git.mprivozn@redhat.com>
From: Michal Privoznik <mprivozn@redhat.com>
Date: Sun, 28 Apr 2024 17:10:13 +0200
Subject: [PATCH] 8.0.0-disable-keymap.patch

Signed-off-by: Michal Privoznik <mprivozn@redhat.com>
---
 meson.build                 | 2 ++
 pc-bios/keymaps/meson.build | 4 +++-
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/meson.build b/meson.build
index 5db2dbc12e..ea3ccff968 100644
--- a/meson.build
+++ b/meson.build
@@ -1098,6 +1098,8 @@ endif
 
 if get_option('xkbcommon').auto() and not have_system and not have_tools
   xkbcommon = not_found
+elif get_option('xkbcommon').disabled()
+  xkbcommon = not_found
 else
   xkbcommon = dependency('xkbcommon', required: get_option('xkbcommon'),
                          method: 'pkg-config')
diff --git a/pc-bios/keymaps/meson.build b/pc-bios/keymaps/meson.build
index 0bd8ce0077..3888f4c64f 100644
--- a/pc-bios/keymaps/meson.build
+++ b/pc-bios/keymaps/meson.build
@@ -33,8 +33,10 @@ keymaps = {
   'tr': '-l tr',
 }
 
-if meson.is_cross_build() or not xkbcommon.found()
+if meson.is_cross_build()
   native_qemu_keymap = find_program('qemu-keymap', required: false, disabler: true)
+elif get_option('xkbcommon').disabled()
+  native_qemu_keymap = not_found
 else
   native_qemu_keymap = qemu_keymap
 endif
-- 
2.43.2

